<!DOCTYPE html>
<html lang="de" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>ClubDetails</title>
    <link rel="stylesheet" href="myStyles.css">
</head>
<body>
<main class="container">
    <h1>
        <span th:text="${club.name}"></span>
    </h1>

    <h2>
        ID: <span th:text="${club.id}"></span>
    </h2>
    <h2>
        Punkte: <span th:text="${club.points}"></span>
    </h2>
    <p>#######################################################################</p>

    <h2>
        Vereinsmitglieder
    </h2>
    <div th:if="${club.getPlayerList().size > 0}">
        <h3 th:each="player, iterationStatus: ${club.getPlayerList()}">
            <a th:href="@{/playerDetails(playerId=${player.getPlayerId()})}">
                <span th:text="${player.name}"></span>,
            </a>
            Trikotnr. <span th:text="${player.jerseyNumber}"></span>
        </h3>
    </div>

    <div th:if="${club.getPlayerList().size <= 0}">
        Leider noch keine Einträge vorhanden :(
    </div>
</main>

<div class="navigation">
    <a th:href="@{/createPlayer(clubId=${club.id})}">Spieler hinzufügen</a>
    <a href="/">Zurück zur Übersicht</a>
</div>

</body>
</html>